module UU
  module OS
    module Artifact
      # Layout artifact setting enum for visibility of artifact control bar.
      class ArtifactControlBarDisplayMode
        # Default setting of artifact control bar visibility.
        DEFAULT = 'DEFAULT'

        # Artifact control bar hidden.
        HIDDEN = 'HIDDEN'

        # Artifact control bar visible.
        VISIBLE = 'VISIBLE'
        
        # Artifact control bar is disabled including control button and it is not possible to display it.
        # Can be set only in default settings of Meta Artifact. 
        DISABLED = 'DISABLED'

      end
    end
  end
end
