module UU
  module OS
    module Artifact
      # @deprecated
      class ArtifactType

        # Artifacts with the attribute "control" are used for work control and work 
        # coordination, e.g status assessments, statistics, plans, etc.
        CONTROL = 'CONTROL'
        
        # Artifacts with the attribute "factual" are used for work results, 
        # e.g artifacts with documentation of project, components description, etc.
        FACTUAL = 'FACTUAL'
        
        # Artifacts with the attribute "meta" are used for all meta artifacts and 
        # for methodology setting.
        META = 'META'
        
        # Artifacts with the attribute "organizational" are used for creation of 
        # organizational structure (organizational unit, folder, stream) or managing 
        # structure (role, group, person).
        ORGANIZATIONAL = 'ORGANIZATIONAL'
        
        # Artifacts with the attribute "system" are used for system information, e.g.
        SYSTEM = 'SYSTEM'

      end

    end
  end
end
