require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module MetaModel

      # Artifact Interface Get Attributes DTO.
      class ArtifactInterfaceAttributes < UU::OS::REST::DTO

        # @see ArtifactInterface#get_attributes
        attr_accessor :uri

        # @see ArtifactInterface#get_attributes
        attr_accessor :name

        # @see ArtifactInterface#get_attributes
        attr_accessor :code

        # @see ArtifactInterface#get_attributes
        attr_accessor :description

        # @see ArtifactInterface#get_attributes
        attr_accessor :grant_all_from_territory

        # @see ArtifactInterface#get_attributes
        attr_accessor :creation_stamp

        # @see ArtifactInterface#get_attributes
        attr_accessor :modification_stamp

        def uri
          attributes[:uri]
        end

        def uri=(val)
          attributes[:uri] = val
        end

        def name
          attributes[:name]
        end

        def name=(val)
          attributes[:name] = val
        end

        def code
          attributes[:code]
        end

        def code=(val)
          attributes[:code] = val
        end

        def description
          attributes[:description]
        end

        def description=(val)
          attributes[:description] = val
        end

        def grant_all_from_territory
          attributes[:grantAllFromTerritory]
        end

        def grant_all_from_territory=(val)
          attributes[:grantAllFromTerritory] = val
        end

        def creation_stamp
          attributes[:creationStamp]
        end

        def creation_stamp=(val)
          attributes[:creationStamp] = val
        end

        def modification_stamp
          attributes[:modificationStamp]
        end

        def modification_stamp=(val)
          attributes[:modificationStamp] = val
        end

      end

    end
  end
end
