module UU
  module OS
    
      module OrganizationalUnit
      
        class OrganizationalUnitEntryType

            #Represents an object that are derived from artifact (artifacts, roles,
            #etc.) except type CONTAINER.Value is <code>ARTIFACT</code>.
            ARTIFACT = 'ARTIFACT'
          
            #Represents a container (folder, org. unit, territory, etc.). Value is
            #<code>CONTAINER</code>.
            CONTAINER = 'CONTAINER'
          
            #Represents a shortcut. Value is <code>SHORTCUT</code>.
            SHORTCUT = 'SHORTCUT'

        end
      end
    end

end
