require 'uu/os/rest/dto'
require 'uu/os/uesuri'


module UU
module OS
module Property

class PropertyMoveCollection < UU::OS::REST::DTO

# UESURI of a parent node (artifact or property collection) where the property collection 
# will be moved. Property collection can be moved only in the same Artifact. ParentNodeUri 
# cannot be child of the moved collection. Never null 
attr_accessor :parent_node_uri



def parent_node_uri 
attributes[:parentNodeUri]
end

def parent_node_uri=(val) 
if val
attributes[:parentNodeUri] = UU::OS::UESURI.new(val)
else
attributes[:parentNodeUri] = nil
end
end

end

end
end
end
