require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Sheet.
    module Sheet
      # @see Sheet#replace_component
      class SheetReplaceComponent < UU::OS::REST::DTO

        # @see Sheet#replace_component
        attr_accessor :component_id

        # @see Sheet#replace_component
        attr_accessor :content

        # @see Sheet#replace_component
        attr_accessor :requested_mime_type

        # @see Sheet#replace_component
        attr_accessor :preserve_lock_state
        def component_id 
          attributes[:componentId]
        end

        def component_id=(val) 
          attributes[:componentId] = val
        end

        def content 
          attributes[:content]
        end

        def content=(val) 
          attributes[:content] = val
        end

        def requested_mime_type 
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val) 
          attributes[:requestedMimeType] = val
        end

        def preserve_lock_state 
          attributes[:preserveLockState]
        end

        def preserve_lock_state=(val) 
          attributes[:preserveLockState] = val
        end

      end
    end

  end
end
